
#include "objetos.h"
#include <stdio.h>

TipoObjeto objetos[256];

void PonerObjeto(int num, TipoObjeto obj){
  objetos[num]=obj;
};

void dumpObjetos(void){
  int i;
  for(i=0;i<256;i++)
    /*if(objetos[i].lugar != 0)*/
    if(objetos[i].lugar != 0)
      printf("%d %d en %d %ses contenedor, %ses prenda, pesa %d.\n",
                 objetos[i].nombre,
                 objetos[i].adjetivo,
                 objetos[i].lugar,
                 objetos[i].contenedor?"":"no ",
                 objetos[i].prenda?"":"no ",
                 objetos[i].peso);
}
